/* Video.cpp : Fichier principal du programme de gestion du Club Vido
 * Auteurs   : M.M.
 * Cration  : juin 1998
 */
#include <iostream>
#include <stdcpp>
using namespace std;
#include "p270-Fichiers.h"
#include "p270-Video.h"

int g_nbDAbonnes= 0;                            // Sera ajust
bool g_tabFilmsExistants[NB_MAX_FILMS]= {false}; // Tous faux, seront ajusts

/*****
 * AfficherMenuPrincipal : Affiche le menu de toutes les oprations possibles.
 */
void AfficherMenuPrincipal()
    {
    cout << "\n       CLUB VIDO INC.\n\n"
            "1. Ajouter un nouveau film\n"
            "2. Inscrire un nouvel abonn\n"
            "3. Produire la liste des films\n"
            "4. Produire la liste des abonns\n"
            "5. Faire la location d'un film\n"
            "6. Afficher le film le plus populaire (le plus lou)\n"
            "7. Afficher le nombre de locations de tous les films\n\n"
            "0. FIN DU PROGRAMME\n";
    }

/*****
 * PROGRAMME PRINCIPAL
 */
int main()
    {
    CreerFichiers();
    g_nbDAbonnes= CalculerNombreDAbonnes();
    InitialiserFilmsExistants();

    for(;;)
        {
        AfficherMenuPrincipal();
        char choix= ObtenirChoix('0','7');
        /***/
        if (choix == '0') break;
        /***/
        switch (choix)
            {
            case '1' : AjouterFilm(); break;
            case '2' : InscrireAbonne(); break;
            case '3' : ProduireListeFilms(); break;
            case '4' : ProduireListeAbonnes(); break;
            case '5' : LouerFilm(); break;
            case '6' : AfficherFilmPlusPopulaire(); break;
            default  : AfficherListeLocations(); break;
            }
        }
    }
