/* Fichiers.h  : Dclarations concernant les fichiers du Club Vido
 * Auteurs     : M.M.
 * Cration    : juin 1998
 */
#include <string>	    // Sera expliqu  la section 10.4
const int NO_FILM_MIN= 1000;       // Premier numro de film possible dans le club
const int NO_FILM_MAX= 9999;       // Dernier numro de film possible dans le club
const int NB_MAX_FILMS= NO_FILM_MAX-NO_FILM_MIN+1;    // Nombre maximum de films
const int NO_ABONNE_MIN= 1;        // Ils seront numrots  partir de cette valeur
const int LARGEUR_TITRE_FILM= 30;  // Largeur maximum des titres de films
const int LARGEUR_NOM_ABONNE= 40;  // Largeur maximum du nom (y compris le prnom)
const int LARGEUR_ADRESSE= 60;     // Largeur maximum des adresses civiques
const int LARGEUR_TELEPHONE= 20;   // Largeur maximum des numros de tlphone
const int LARGEUR_DATE_LOCATION= 10;    // On s'attend au format jj/mm/aaaa

// Noms physiques des fichiers 
const char FICHIER_FILMS[]= "Films.donnes";
const char FICHIER_ABONNES[]= "Abonns.donnes";
const char FICHIER_LOCATIONS[]= "Locations.donnes";

bool Lire(istream& p_ficFilms, 
          int& p_s_noFilm, string& p_s_titre, char& p_s_categorie, int& p_s_duree);
void Ecrire(ostream& p_ficFilms, 
            int p_noFilm, string p_titre, char p_categorie, int p_duree);

bool Lire(istream& p_ficAbonnes, 
          int& p_s_noAbonne, string& p_s_nom, string& p_s_adresse, 
          string& p_s_telephone);
void Ecrire(ostream& p_ficAbonnes, 
            int p_noAbonne, string p_nom, string p_adresse, string p_telephone);

bool Lire(istream& p_ficLocations, 
          int& p_s_noAbonne, int& p_s_noFilm, string& p_s_dateLocation,
          double& p_s_prixLocation);
void Ecrire(ostream& p_ficLocations, 
            int p_noAbonne, int p_noFilm, string p_dateLocation,
            double p_prixLocation);

void CreerFichiers();
